initInstall("Autohide", "autohide", "0.9.8")
var programInst=false
var locales=new Array("en-US","de-AT","de-DE","fr-FR","it-IT","ja-JP","pl-PL","zh-TW")

if (File.exists(getFolder("chrome","autohide.jar")))
   programInst=true;

else
{  isInProfile=File.exists(getFolder(getFolder("Profile","chrome"),"autohide.jar"))

   if (!isInProfile && !File.exists(getFolder("chrome","browser.jar")))
      programInst=confirm("OK to install into program folder\n\nCancel to install into profile folder");
}

if (programInst)
{  cFolder=getFolder("chrome")
   target=DELAYED_CHROME
}

else
{  cFolder=getFolder("Profile", "chrome")
   target=PROFILE_CHROME
}

if (getWinRegistry())
{
   compDir=getFolder("Components")

   addFile ("ahWin32Utils.dll", "1.0",
            "compfiles/ahWin32Utils.dll",compDir,"");

   addFile ("ahWin32Utils.xpt", "1.0",
            "components/ahWin32Utils.xpt",compDir,"");
}

addFile("Autohide","chrome/autohide.jar",cFolder,"")
registerChrome(CONTENT | target, getFolder(cFolder,"autohide.jar"), "content/")

for (x=0;x<locales.length;x++)
    registerChrome(LOCALE | target, getFolder(cFolder,"autohide.jar"), "locale/"+locales[x] +"/autohide/");

if (getLastError() == 0)
   performInstall();
else
   cancelInstall();